Viewing user pages does not work after rename

28 Jul 2014 10:11 - Krishna MS

Status: Deferred Start date: 28 Jul 2014

Priority: Normal Due date:  

Assignee: Andriy Lesyuk % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Redmine version: 2.4.3 External issue:  

Description

Hi,

I am using the latest version of your plugin. Redmine version is 2.4.3.

If i have a username msk and if i click on http://redmine-ip/users/msk, it shows the users’ page.

However if i rename the username to krishna.ms and if i click on http://redmine-ip/users/krishna.ms the page goes blank.

But http://redmine-ip/users/124 where 124 is the userid of krishna.ms, it works.

Rename to krishna also works, but any userid which has a . between first name and last name.

Is there a way to make it work for the new user name.

Thanks,

Krishna M S

FYI, i tested it in Redmine 2.5.2 too and the problem is there.

History

#1 - 04 Sep 2016 08:23 - Andriy Lesyuk

- Status changed from New to Open

- Target version set to 1.1.0

#2 - 13 Dec 2017 20:05 - Andriy Lesyuk

- Status changed from Open to Deferred

- Target version deleted (1.1.0)

Probably, it’s possible, but dot is considered to be an “unsafe” character for using in URLs in Ruby-on-Rails. So, dots should be avoided in usernames

just like @ and many other characters.
